Mantis

[Resolu] Erreur: APPLICATION WARNING #300

Posted by _Doug_ 
[Resolu] Erreur: APPLICATION WARNING #300
June 03, 2010 04:41PM
Bonjour,

J'ai effectué l'installation du pluginmanager dans sa version 0.4.0 sur une Mantis versin 1.1.8 elle même installée sur une Debian Squeeze.

J'arrive bien à installer de nouveaux plugins mais j'ai beaucoup de messages d'erreurs "APPLICATION WARNING #300"

APPLICATION WARNING #300: Chaîne « plugins_pluginmanager_title » introuvable.
APPLICATION WARNING #300: Chaîne « plugins_pluginmanager_install_plugin » introuvable.
APPLICATION WARNING #300: Chaîne « plugins_pluginmanager_url » introuvable.
APPLICATION WARNING #300: Chaîne « plugins_pluginmanager_or » introuvable.
APPLICATION WARNING #300: Chaîne « plugins_pluginmanager_upload » introuvable.
...
et j'en passe



Après des recherches, je tombe sur un post avec le même soucis que moi, il est noté qu'il faut rajouter ceci dans le fichier "custom_strings_inc.php" (qui était vide au passage):


<?php
if ( file_exists( dirname( __FILE__ ) . DIRECTORY_SEPARATOR . &#039;plugins&#039; .
DIRECTORY_SEPARATOR . &#039;pluginmanager&#039; . DIRECTORY_SEPARATOR .
&#039;lang_inc.php&#039; ) ) {
require( dirname( __FILE__ ) . DIRECTORY_SEPARATOR . &#039;plugins&#039; .
DIRECTORY_SEPARATOR . &#039;pluginmanager&#039; . DIRECTORY_SEPARATOR .
&#039;lang_inc.php&#039; );
global $g_plugins_manager_lang;
$g_plugins_manager_lang = ON;
}

?>

Ce fichier ce trouve pour ma part dans le dossier /etc/mantis/, mais un liens est présent dans le dossier /usr/share/mantis/www



Le soucis c&#039;est que chez moi, je ne constate pas d&#039;améliorations.
J&#039;ai donc mis les droits sur tout les dossiers pour tout le monde (chmod -R 777), j&#039;ai essayé de changer de owner, de redémarrer les services mais rien n&#039;y fait

Ce qui est d&#039;autant plus dommage que certains plug-il semble très prometteur à ce que j&#039;ai pu essayé tant bien que mal!

Merci d&#039;avance pour votre aide!



Edited 1 time(s). Last edit at 06/04/2010 03:55PM by _Doug_.
Re: Erreur: APPLICATION WARNING #300
June 03, 2010 05:19PM
Vous utilisez un mantis installé par un package RPM/DEB. Ces packages n&#039;installent pas mantis de façon classique, les plugins peuvent donc rencontrer des problèmes tels que décrit.
Je vous invite donc à faire une installation manuelle de Mantis.

Vincent


Mantis: 1.1.0, 1.1.5, 1.1.1
PHP: 5.0.4
SQL: MySQL 5.0.19
OS: Linux

Please complete your signature with your environment informations.
Enable skype notification here
Re: Erreur: APPLICATION WARNING #300
June 04, 2010 03:02PM
Merci pour votre réponse rapide!
Après essai et installation de mantis de manière "classique", tout fonctionne i-m-p-e-c-c-a-b-l-e-m-e-n-t smiling bouncing smiley

Je vais pourvoir maintenant faire moult essais, mais à ce que j&#039;avais put voir tout ceci semble très prometteur thumbs up

Juste une dernière petite question ou plutôt une confirmation...
J&#039;ai voulu tout d&#039;abord tester la dernière version de mantis 1.2.1 avec pluginmanager 0.4.0 mais il me met à chaque fois une erreur au niveau du fichier core.php dans le répertoire mantis.. j&#039;ai fait donc quelques recherches sur ce forum et donc le pluginmanager même dans sa dernière version n&#039;est pas compatible avec mantis 1.2.1?

Voilà, en tout cas un grand merci et bravo pour le travail smileys with beer
Re: Erreur: APPLICATION WARNING #300
June 04, 2010 04:23PM
Oui l&#039;équipe de dev de Mantis n&#039;a pas jugé utile de conserver la compatibilité avec ses vieilles versions.

Vincent


Mantis: 1.1.0, 1.1.5, 1.1.1
PHP: 5.0.4
SQL: MySQL 5.0.19
OS: Linux

Please complete your signature with your environment informations.
Enable skype notification here
Re: Erreur: APPLICATION WARNING #300
June 04, 2010 04:46PM
Celà n&#039;est pas génant, car pour nos besoin cette version 1.1.8 nous convient déjà très bien smiling smiley


Je profite d&#039;avoir un post par rapport à un autre "soucis" que je rencontre par rapport aux plugins:

J&#039;ai installé le plug-in wiki dans sa version .0.0.4 mais je n&#039;ai pas de template, j&#039;ai du mal à voir quel template ajouter et ou?

J&#039;aimerai sinon enlever certaines catégories comme "Documentation" , "Calendrier",.... et certains champs comme par exemple "Documentation pour l&#039;utilisateur" dans la catégorie "Documentation"... Existe t&#039;in un plug-in pour ça (à l&#039;image de "MyReport", vraiment super pratique au passage).

Merci de votre attention!

Kévin.
Re: Erreur: APPLICATION WARNING #300
June 04, 2010 04:49PM
Il vaut mieux installer le wiki manuellement. Pour le reste il faut regarder dans les fichiers de configuration (sinon il n&#039;y a pas de plugin).

Vincent


Mantis: 1.1.0, 1.1.5, 1.1.1
PHP: 5.0.4
SQL: MySQL 5.0.19
OS: Linux

Please complete your signature with your environment informations.
Enable skype notification here
Re: [Resolu] Erreur: APPLICATION WARNING #300
June 04, 2010 04:51PM
Ok, je vais regarde ça.

Merci winking smiley
Sorry, only registered users may post in this forum.

Click here to login



Online Users

Guests: 9
Record Number of Users: 1 on September 01, 2021
Record Number of Guests: 196 on August 22, 2021
Top Users
Hébergeur : Morinie.Fr